<?
define('PROTECTOR', 1);

$headmod = 'pers';//фикс. места

$textl='Партнерская программа';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');


if($user_id=='1'){@include('files/zag.php');echo"<b>Партнерская программа</b> $div";}else
{$div="</div><div class='menu'>";echo"$div <b>Партнерская программа</b> $div";}
$req = mysql_query("SELECT * FROM `partner` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
$part=mysql_fetch_array($req);

switch($_GET[mod]){
default:

echo"Если у Вас есть сайт, присоединяйтесь к нам!</br>
Наша партнерская программа позволит</br>
Вам каждую неделю получать реальную прибыль! 
</br></br><font color=\"#ffc22b\">
  • Мы предлагаем:</br>
</br>
 • Простой способ увеличить доход Вашего сайта. </br>
Мы платим по 0.5 рублей за каждую регистрацию по вышей партнерской ссылке</br>
 • Онлайн-статистику в режиме реального времени</br>
 • Особые условия для крупных партнеров!</br>
</font>";echo"</br><img src='pic/game/registration.png' alt='*'/> ";
if($avto==1){echo"<a href=\"partner.php?mod=kabinet\">Кабинет</a></br>";}else
{echo"<a href=\"partner.php?mod=reg\">Регистрация</a></br>";}
echo"<img src='pic/main/pravila.png' alt='*'/><a href=\"partner.php?\"> Правила</a></br>";
echo"• Выплаты производятся каждую неделю. Минимальная сумма выплат - 10р.";
break;

case 'reg':
if($user_id=='0'){echo"Чтобы участвовать в партнерской программе, сначала зарегистрируйтесь
 на сайте, затем перейдите в раздел Персонаж => Партнерская программа
</br><a href=\"index.php?\">На главную</a>";break;}else{
if(empty($_POST[site])){
echo'<form action="partner.php?mod=reg" method="post">
Введите адрес вашего сайта: <font color="red"><small>(без http://)</small></font><br/>
<input class="input" type="text" value="darkmob.ru" size="15" name="site" maxlength="30"/><br/>
Ваш WMR кошелек:<br/>
<input class="input" type="text" value="R" size="15" name="wmr" maxlength="13"/><br/>
<input class="button" type="submit" value="сохранить" /></form>';}else{
if($avto==1){echo"<img src='pic/no.png' alt='*'/><font color='red'> Вы уже зарегистрированы!</font></br>
<a href=\"partner.php?mod=kabinet\">В кабинет</a>";break;}
$sait=htmlspecialchars(stripslashes(addslashes($_POST['site'])));
$wmr=htmlspecialchars(stripslashes(addslashes($_POST['wmr'])));
mysql_query("INSERT INTO `partner` SET `usr`='$log',`site`='$sait',`wmr`='$wmr' ");
echo"<img src='pic/yes.png' alt='*'/> <font color='#71cc71'>Сайт добавлен!</font></br>
<a href=\"partner.php?mod=kabinet\">В кабинет</a>";}}
break;

case 'kabinet':
if($avto==0){echo"<img src='pic/no.png' alt='*'/><font color='red'>
<a href=\"partner.php?mod=reg\">Зарегистрируйтесь!</a></font>";break;}else{
$req = mysql_query("SELECT * FROM `set` WHERE `site` = '$part[site]'");
$avto=mysql_num_rows($req);
$dohod=$avto*0.5;
$balans=$part[balans];
$zach=mysql_query("SELECT * FROM `set` WHERE `site` = '$part[site]' and `part`='1'");
$zach=mysql_num_rows($zach);
$nezach=mysql_query("SELECT * FROM `set` WHERE `site` = '$part[site]' and `part`='2'");
$nezach=mysql_num_rows($nezach);
$neprov=$avto-$nezach-$zach;

echo"<img src='pic/game/prices.png' alt='*'/> Ваш доход: <b>$dohod</b> рублей</br>
<img src='pic/game/prices.png' alt='*'/> Зачислено: <b>$balans</b> рублей</br>
<img src='pic/game/registration.png' alt='*'/> Регистраций: <b>$avto</b></br>
<img src='pic/yes.png' alt='*'/> Засчитанных: <b>$zach</b></br>
<img src='pic/no.png' alt='*'/> Незасчитанных: <b>$nezach</b></br>
<img src='pic/game/registration.png' alt='*'/> Непроверенных: <b>$neprov</b></br>
Ваша ссылка для заработка:<br/>
<input value=\"http://darkmob.ru?site=$part[site]\" name=\"ssilka\"/><br/>
<a href=\"partner.php?mod=edit\">Профиль</a>";
if($udata[prava]>=4){echo"</br><img src='pic/main/status/madm.png' alt='*'/><a href=\"partner.php?mod=admin\"> Админка</a></br>";}

}
break;

case 'edit':
if(empty($_POST[wmr])){
echo'<form action="partner.php?mod=edit" method="post">
Введите ваш WMR кошелек:<br/>
<input class="input" type="text" value="'.$part[wmr].'" size="15" name="wmr" maxlength="13"/><br/>
<input class="button" type="submit" value="сохранить" /></form>
<a href="partner.php?mod=kabinet">В кабинет</a>
';}else{
$wmr=htmlspecialchars(stripslashes(addslashes($_POST['wmr'])));
mysql_query("UPDATE `partner` SET `wmr`='$wmr' WHERE `usr`='$log'");
echo"<img src='pic/yes.png' alt='*'/> <font color='#71cc71'> Изменения приняты!</font></br><a href=\"partner.php?mod=kabinet\">В кабинет</a>";}
break;

case 'rules':
echo'<font color="#ffc22b">
  • Правила:</br>
</br>
 • Запрещено привлекать посетителей обманным путем перейти по ссылке типа "Получить 100р на телефон"
 или "кликните, пожалуйста" и т.п. Название ссылки должно быть связано с тематикой Онлайн игр, примеры названий:
"Популярная Онлайн игра" , "Онлайн игра Тёмный мир" Это ГЛАВНОЕ условие! Вы ведь не хотите обманывать
 своих посетителей? А мы хотим, чтобы приходила целевая аудитория. </br>
 • Запрещается накручивать регистрации, самому рег-ся по ссылке. Такие регистрации будут не засчитаны, а вам
сделают предупреждение.</br>
 • В систему не допускаются сайты, у которых посещаемость меньше 50 хостов!</br>
 • В систему не допускаются сайты, на которых более 50% ссылок на сторонние ресурсы.
 У эротических сайтов 50% шансов попасть в партнерку.</br>
 • В систему не допускаются сайты, противоречащие законодательству РФ.</br>
 • Администрация вправе заблокировать (приостановить выплаты) ваш аккуант, если он подозрителен в 
накрутке, или нарушает правила пп.</br>
<a href="partner.php?">На главную</a>
</font>';

break;

case 'admin':
if($udata[prava]<4){echo"<img src='pic/no.png' alt='*'/><font color='red'> Доступ запрещен</font>";break;}else{
$b = mysql_query("SELECT * FROM `partner`");
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b)){
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a> ...<a href=\"http://$best[site]\">$best[site]</a>...
 [<a href=\"partner.php?mod=user&nick=$best[usr]\">Юзеры</a>]<br/>";
$i++;}}else{
echo"<b>Нет Партнеров</b><br/>";}
echo"<a href=\"partner.php?mod=kabinet\">Назад</a>";
}
break;

case 'user':
if($udata[prava]<4){echo"<img src='pic/no.png' alt='*'/><font color='red'> Доступ запрещен</font>";break;}else{
$user=htmlspecialchars($_GET['nick']);
$part = mysql_query("SELECT * FROM `partner` WHERE `usr`='$user'");
$part=mysql_fetch_array($part);
$b = mysql_query("SELECT * FROM `set` WHERE `site`='$part[site]' and `part`='0'");
$avto=mysql_num_rows($b);
if($avto==0){echo"Пусто</br><a href=\"partner.php?mod=admin\">Назад</a>";}else{
$i=1;
While($best = mysql_fetch_array($b)){
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 [<a href=\"partner.php?mod=zach&nick=$best[usr]\">Зачет</a>] [<a href=\"partner.php?mod=nezach&nick=$best[usr]\">Незачет</a>] $part[site] $user<br/>";
$i++;}
}}
break;

case 'zach':
if($udata[prava]<4){echo"<img src='pic/no.png' alt='*'/><font color='red'> Доступ запрещен</font>";break;}else{
$user=htmlspecialchars($_GET['nick']);

$b = mysql_query("SELECT * FROM `set` WHERE `usr`='$user'");
$best = mysql_fetch_array($b);
if($best[part]==1){echo"<img src='pic/no.png' alt='*'/> Вы уже проверили этого игрока!";break;}
$part = mysql_query("SELECT * FROM `partner` WHERE `site`='$best[site]'");
$part = mysql_fetch_array($part);
$balans=$part[balans]+(0.5);
mysql_query("UPDATE `set` SET `part` = '1' WHERE `usr` = '$user'");
mysql_query("UPDATE `partner` SET `balans` = '$balans' WHERE `usr` = '$part[usr]'");
echo"<img src='pic/yes.png' alt='*'/> Юзер зачтен! $best[site]";
}
break;

case 'nezach':
if($udata[prava]<4){echo"<img src='pic/no.png' alt='*'/><font color='red'> Доступ запрещен</font>";break;}else{
$user=htmlspecialchars($_GET['nick']);
mysql_query("UPDATE `set` SET `part` = '2' WHERE `usr` = '$user'");
echo"<img src='pic/yes.png' alt='*'/> Юзер незачтен!";
}
break;

}
if($user_id=='1'){@include('files/down.php');}else{@include('files/end.php');}
?>